{% extends "admin/base_site.html" %}
{% load i18n admin_static admin_list %}
{% load url from future %}
{% load admin_urls %}


{% block extrahead %}{{ block.super }}
{% url 'admin:jsi18n' as jsi18nurl %}
  <script type="text/javascript" src="{{ jsi18nurl|default:'../../jsi18n/' }}"></script>
{{ media }}
<link rel="stylesheet" type="text/css" href="{% static 'admin/css/changelists.css' %}" />
<link rel="stylesheet" type="text/css" href="{% static 'admin/css/forms.css' %}" />
{% endblock %}

{% block bodyclass %}change-list{% endblock %}
{% block breadcrumbs %}
<div class="breadcrumbs">
     <a href="../../../">{% trans "Home" %}</a> &rsaquo;
     <a href="../../">{% trans "Pagos" %}</a> &rsaquo;
     <a href="../">{% trans "Comprobante" %}</a> &rsaquo;
     {{ comprobante.TipoComprobante.Tipo|escape }} {{ comprobante.TipoComprobante.Serie|escape }} - {{ comprobante.Correlativo|escape }}
</div>
{% endblock %}

{% block title %} {% trans 'Comprobantes de Pagos UDL' %} {% endblock %}

{% block coltype %}flex{% endblock %}

{% block content %}

<fieldset class="module">
<div class="form-row">
	<div class="field-box">
		<label class="required" >Comprobante:</label>
                {{ comprobante.TipoComprobante.Tipo|escape }} {{ comprobante.TipoComprobante.Serie|escape }} - {{ comprobante.Correlativo|escape }}
	</div>
</div>
</fieldset>

<fieldset class="module">
<div class="form-row">
  <div class="field-box">
                    <label class="required" >Código:</label>
                    {{ alumno.PagoAlumno.MatriculaCiclo.Alumno.Codigo|escape }}
  </div>
	<div class="field-box">
                    <label class="required" >Alumno:</label>
                    {{ alumno.PagoAlumno.MatriculaCiclo.Alumno|escape }}
	</div>
	
  <div class="field-box">
                    <label class="required" >Matrícula:</label>
                    {{ alumno.PagoAlumno.MatriculaCiclo.Periodo|escape }}
	</div>
        <div class="field-box">
                    <label class="required" >Categoría:</label>
                    {{ alumno.PagoAlumno.MatriculaCiclo.Categoria|escape }}
	</div>
</div>
</fieldset>

<div id="content-main">
<h2>{% trans 'Detalles de '  %}{{ comprobante.TipoComprobante.Tipo|escape }} {{ comprobante.TipoComprobante.Serie|escape }} - {{ comprobante.Correlativo|escape }}</h2>
    <div class = "module" id="changelist" >
      {% block result_list %}
        {% if detalles %}
        <table>
        <THEAD>
        <TR>
        <TH></TH>
        <TH>{% trans 'Concepto de Pago' %}</TH>
        <TH>{% trans 'Pagó' %}</TH>
        <TH>{% trans 'Resta' %}</TH>
        <TH>{% trans 'Fecha Pago' %}</TH>
        <TH>{% trans '¿Es mora?' %}</TH>
        </TR>
	</THEAD>
        <TBODY>
            {% for detalle in detalles %}
            <TR class="{% cycle 'row1' 'row2' %}">
                <TD>&rsaquo;</TD>
                <TD>{{ detalle.PagoAlumno.ConceptoPago.Descripcion }}</TD>
                <TD>S/. {{ detalle.MontoCancelado }}</TD>
                <TD>S/. {{ detalle.PagoRestante }}</TD>
                <TD>{{ detalle.FechaPago }}</TD>
                <TD>{% if detalle.Mora %}
                   <img alt="1" src="{% static 'admin/img/icon-yes.gif' %}"/>
                   {% else %}
                   <img alt="0" src="{% static 'admin/img/icon-no.gif' %}"/>
                   {% endif %}
                </TD>
            </TR>
            {% endfor %}
        </TBODY>
        </table>
        {% else %}
           <p>{% trans 'El Comprobante no posee detalles, verifique por favor' %}</p>
        {% endif %}
      {% endblock %}
    </div>
    <a href="../imprimir/{{ comprobante.id }}/" class="printlink">{% trans 'Imprimir' %}</a>
    <a href="../modificar/{{ comprobante.id }}/" class="changelink">{% trans 'Modificar' %}</a>
  </div>
{% endblock %}
